Bug 215340 - screensaver preview has problem if "desktop effects" got enabled
screensaver preview has problem if "desktop effects" got enabled
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Desktop
Depends On: 211972
  Show dependency treegraph
Reported: 2006-11-13 11:20 EST by Søren Sandmann Pedersen
Modified: 2014-06-18 05:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 09:39:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2006-11-13 11:20:29 EST
Patch should also be applied to FC6 and rawhide

+++ This bug was initially created as a clone of Bug #211972 +++

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run desktop-effects in terminal, on pop-up dialog click "Enable Desktop
Effects" -> "Keep settings" to enable desktop effects
2. run gnome-screensaver-preferences in terminal, opn pop-up "Screensaver
Preferences" window, select a screensaver theme (e.g. Pop art squares) and click
"Preview" button

Actual results:
status bar for screensaver preview is displayed in the middle, pls see attached
screenshot, no preview indeed

Expected results:

Additional info:

-- Additional comment from xwang@redhat.com on 2006-10-24 04:39 EST --
Created an attachment (id=139201)

-- Additional comment from pm-rhel@redhat.com on 2006-10-24 14:24 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for

-- Additional comment from sandmann@redhat.com on 2006-11-01 18:54 EST --
What's going on here is that compiz has it's own "type" for a window that is
different from the wmspec's idea. This field determines among other things
whether a window can be fullscreened. So what happens is:

- Application creates a _NET_WM_TYPE_NORMAL window with a transient parent
- compiz decides that the internal type for such a window is 'dialog' because
  of the transient parent
- Application tries to fullscreen window
- Compiz denies this, since it doesn't think dialogs should be fullscreened
- The next time compiz looks at the window, it sees that it has the FULLSCREEN 
  state set, causing it to decide that the window should have internal type
- At this point, fullscreening *is* allowed.

Net result: the first time the preview window is shown it won't be fullscreened;
the second time it will.

-- Additional comment from sandmann@redhat.com on 2006-11-09 15:50 EST --
Upstream bug:


-- Additional comment from sandmann@redhat.com on 2006-11-13 11:18 EST --
Patch from David Reveman added in .33.el5
Comment 1 Matěj Cepl 2007-12-10 04:22:16 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 2 Matěj Cepl 2008-01-15 09:39:19 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.